//***********************************************************
//* TJFTP - A Win 95/NT FTP client							*
//* February, 1997											*
//*															*
//* Written by Jim Dunne									*
//* 8651 Silver Quail										*
//* San Antonio, TX 78250									*
//*															*
//* 210-520-3272 (Home)										*
//* 210-925-7544 (Work)										*
//* jdunne@txdirect.net										*
//* www.txdirect.net/users/jdunne/tjsoftware/tjsoftware.htm	*
//***********************************************************
// FtpConnect.h : header file
//
#define USER_INPUT_BUF_LEN   (100)
//#define HKEY_CURRENT_USER    "HKEY_CURRENT_USER"
/////////////////////////////////////////////////////////////////////////////
// CFtpConnect dialog

class CFtpConnect : public CDialog
{
// Construction
public:
	CFtpConnect(CWnd* pParent = NULL);   // standard constructor

	void CFtpConnect::ChngConnectDlg(CString csString, int i);
	void CFtpConnect::WriteSettings(LPSTR lpStr);
	void CFtpConnect::ReadSubKey();
	void CFtpConnect::ReadSettings(LPSTR lpStr);

	friend class CMainView;
// Dialog Data
	//{{AFX_DATA(CFtpConnect)
	enum { IDD = IDD_DIALOG_CONNECT };
	CString m_szProfile;
	CString m_szHostName;
	CString m_szUserName;
	CString m_szPassword;
	CString m_szRemInDir;
	CString m_szLocInDir;

		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFtpConnect)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	char m_lpszEntry[100];
	char m_lpszMessage[100];

	CString csProfile;
	CString csHost;
	CString csUser;
	CString csPass;
	CString csRemInitDir;
	CString csLocInitDir;

	BOOL m_bSameAddressFlag;

	// Generated message map functions
	//{{AFX_MSG(CFtpConnect)
	virtual void OnClickedButtonOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnDropdownComboConnectHost();
	afx_msg void OnSelchangeComboConnectHost();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
